--- title: "Delete Attack Filter" slug: "delete-attack-filter" tags: ["Reference", "IPS 10.1.10"] updated: 2026-09-23T09:35:43Z published: 2026-09-23T09:35:43Z canonical: "docs.trellix.com/delete-attack-filter" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.trellix.com/llms.txt > Use this file to discover all available pages before exploring further. # Delete Attack Filter This URL deletes an attack filter. ## Resource URL DELETE /attackfilter/ ## Request Parameters URL Parameters: | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | attackfilter_id | Attack filter id | Number | Yes | ## Response Parameters Following fields are returned if the request parameters are correct, otherwise error details are returned. | Field Name | Description | Data Type | | --- | --- | --- | | Status | Status returned by deletion | Number | ## Request **Example** DELETE [https://%3CNSM_IP%3E/sdkapi/attackfilter/419](https://%3CNSM_IP%3E/sdkapi/attackfilter/419) **Response** ``` { "status":1 } ```   ## Error Information Following error code is returned by this URL: | S.No | HTTP Error Code | SDK API errorId | SDK API errorMessage | | --- | --- | --- | --- | | 1 | 404 | 1408 | Invalid attack filter id |